otlog {VGAM} | R Documentation

## One-truncated Logarithmic Distribution

### Description

Estimating the (single) parameter of the 1-truncated logarithmic distribution.

### Usage

    otlog(lshape = "logit", gshape = ppoints(8), zero = NULL)

### Arguments

`lshape, gshape, zero` | Same as `logff`.

### Details

The 1-truncated logarithmic distribution is a logarithmic distribution but with the probability of a one being zero. The other probabilities are scaled to add to unity. Some more details can be found at `logff`. Multiple responses are permitted.

### Value

An object of class `"vglmff"` (see `vglmff-class`). The object is used by modelling functions such as `vglm`, and `vgam`.

### Author(s)

T. W. Yee

### See Also

`Otlog`, `logff`, `oalog`, `oilog`, `simulate.vlm`.

### Examples

    odata <- data.frame(y1 = rotlog(n = 1000, shape = logit(1/3, inverse = TRUE)))
    ofit <- vglm(y1 ~ 1, otlog, data = odata, trace = TRUE, crit = "c")
    coef(ofit, matrix = TRUE)
    Coef(ofit)
    ## Not run: with(odata,
        hist(y1, shape = TRUE, breaks = seq(0.5, max(y1) + 0.5, by = 1),
             border = "blue"))
    x <- seq(1, with(odata, max(y1)), by = 1)
    with(odata, lines(x, dotlog(x, Coef(ofit)[1]), col = "orange", type = "h", lwd = 2))
    ## End(Not run)

[Package VGAM version 1.0-4 Index]